Retrieve the existing collection status based on account ID
get
/api/1.0/callActionTransactional/getExistingCollectionStatus
This endpoint is used to retrieve the existing collection status based on an account ID.
Request
Supported Media Types
- application/json
- application/xml
Query Parameters
-
accountId: string
The Account ID for which existing collection status to be fetched.
Header Parameters
-
appId(required): string
The application ID of host service.
-
branchCode(required): string
The branch code of requesting branch.
-
contentType: string
The content type of request or response body.
-
entityId(required): string
The entity ID of host service.
-
userId(required): string
The user ID of requesting user.
Response
Supported Media Types
- application/json
- application/xml
201 Response
Returns message of success or failure.
Headers
-
Location: string
Returns the collection status based on account ID.
Root Schema : schema
Type:
Show Source
array-
Array of:
object DmAccountCollectionStatusDTO
DTO of account IDs collection status
Nested Schema : DmAccountCollectionStatusDTO
Type:
objectDTO of account IDs collection status
Show Source
400 Response
Malformed syntax.
401 Response
Request does not have sufficient credentials.
403 Response
Request is not authorized.
500 Response
Internal error